<?php

function doDynamicStyling() :string
{
    $dynamic_style = "";
    if(isLoggedIn() && !empty($_SESSION["favorite_color"]) && is_int($_SESSION["favorite_color"]) && $_SESSION["favorite_color"] <= 4294967295){
        $dynamic_style = "<style>";
        $color = dechex($_SESSION["favorite_color"]);
        $dynamic_style .= "--root{ --favorite-color: #$color;";
        $dynamic_style .= "</style>";
    }
    return $dynamic_style;

}